summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorpyamsoft2020-11-23 22:16:15 -0800
committerpyamsoft2020-11-23 22:16:15 -0800
commite56ce0734d93dc8d4ab4404fda801560dcd83787 (patch)
treea6e15f9b0ece6452684bd2e836131b0687a78d93
parent3b92f0e6f38cdcd871d8e252be5c9bc6c58e9412 (diff)
downloadaur-e56ce0734d93dc8d4ab4404fda801560dcd83787.tar.gz
Update pkgbuild with fixes from jonathon
https://aur.archlinux.org/account/jonathon
-rw-r--r--LICENSE22
-rw-r--r--PKGBUILD65
2 files changed, 36 insertions, 51 deletions
diff --git a/LICENSE b/LICENSE
new file mode 100644
index 00000000000..f9692fa45df
--- /dev/null
+++ b/LICENSE
@@ -0,0 +1,22 @@
+Copyright © 2005 Novell, Inc.
+
+Permission to use, copy, modify, distribute, and sell this software
+and its documentation for any purpose is hereby granted without
+fee, provided that the above copyright notice appear in all copies
+and that both that copyright notice and this permission notice
+appear in supporting documentation, and that the name of
+Novell, Inc. not be used in advertising or publicity pertaining to
+distribution of the software without specific, written prior permission.
+Novell, Inc. makes no representations about the suitability of this
+software for any purpose. It is provided "as is" without express or
+implied warranty.
+
+NOVELL, INC. DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
+INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN
+NO EVENT SHALL NOVELL, INC. BE LIABLE FOR ANY SPECIAL, INDIRECT OR
+CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
+OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
+NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
+WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+Author: David Reveman <davidr@novell.com>
diff --git a/PKGBUILD b/PKGBUILD
index 4129a8b4118..7938548317a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,75 +1,38 @@
##
# Maintainer: pyamsoft <pyam(dot)soft(at)gmail(dot)com>
+#
+# Updated by jonathon: https://aur.archlinux.org/account/jonathon
##
_gitname=xwinwrap
-# shellcheck disable=SC2034
-pkgname=xwinwrap-git
-# shellcheck disable=SC2034
+pkgname="${_gitname}"-git
pkgdesc="Fork of XwinWrap from ujjwal96 on GitHub"
-# shellcheck disable=SC2034
pkgver=r5.ec32e9b
-# shellcheck disable=SC2034
pkgrel=1
-# shellcheck disable=SC2034
-arch=('any')
-# shellcheck disable=SC2034
+arch=('x86_64')
makedepends=('git')
-# shellcheck disable=SC2034
-depends=()
-# shellcheck disable=SC2034
-optdepends=()
-# shellcheck disable=SC2034
+depends=('libx11' 'libxext' 'libxrender')
provides=('xwinwrap')
-# shellcheck disable=SC2034
conflicts=('xwinwrap')
-# shellcheck disable=SC2034
-license=('Other/Open Source')
-# shellcheck disable=SC2034
+license=(custom)
url="https://github.com/ujjwal96/xwinwrap"
-
-##
-# The SHA256 is constantly changing since this is
-# pulled from git so skip the verification check
-##
-# shellcheck disable=SC2034
-sha256sums=('SKIP')
-# shellcheck disable=SC2034
-source=("${_gitname}::git+${url}#branch=master")
-
-###############################################################################
+source=("git+${url}#branch=master" LICENSE)
+sha256sums=('SKIP' '9b445615c864519effd483f60c9877de671708f6c3807841ef1514490ae61903')
pkgver() {
- # shellcheck disable=SC2154
- cd "$srcdir/$_gitname" || {
- msg "Error couldn't cd into $srcdir/$_gitname"
- return 1
- }
-
- # From
- # https://wiki.archlinux.org/index.php/VCS_package_guidelines#The_pkgver.28.29_function
- # If there are no tags then use number of revisions since beginning of the history:
+ cd "${_gitname}" || return 1
printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}
build() {
- # shellcheck disable=SC2154
- cd "$srcdir/$_gitname" || {
- msg "Error couldn't cd into $srcdir/$_gitname"
- return 1
- }
-
- make
+ make -C "${_gitname}" || return 1
}
package() {
- cd "$srcdir/$_gitname" || {
- msg "Error couldn't cd into $srcdir/$_gitname"
- return 1
- }
+ # From https://bazaar.launchpad.net/~shantanu-goel/xwinwrap/devel/view/head:/xwinwrap.c
+ install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/"${pkgname}"/LICENSE
- chmod 755 xwinwrap
- mkdir -p "${pkgdir}/usr/bin"
- cp xwinwrap "${pkgdir}/usr/bin/xwinwrap"
+ cd "${_gitname}" || return 1
+ install -D xwinwrap "${pkgdir}"/usr/bin/xwinwrap
}